using System.Collections;

class A
{
	static void Main()
	{
string[] authors = new string[5] { "Richard", 
					    "Alex","Dave",
						  "Karli", "Brian" };
IEnumerator e;

e = authors.GetEnumerator();
while( e.MoveNext() == true )
{
	string s;

	s = (string) e.Current;
}

	}
}
